

CREATE TABLE USUARIO(
	ID_USUARIO INT AUTO_INCREMENT PRIMARY KEY,
    NOME VARCHAR(255),
    EMAIL VARCHAR(255),
    SENHA VARCHAR(100)
);

CREATE TABLE TIPODESPESA(
	ID_TIPO_DESPESA INT AUTO_INCREMENT PRIMARY KEY,
    DS_NOME VARCHAR(255),
    ID_USUARIO INT,
    FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID_USUARIO)
);

CREATE TABLE DESPESA(
	ID_DESPESA INT AUTO_INCREMENT PRIMARY KEY,
    DS_NOME VARCHAR(255),
    OBSERVACAO VARCHAR(255),
    ID_TIPO_DESPESA INT,
    ID_USUARIO INT,
    DATA_VENCIMENTO DATE,
    VALOR DECIMAL(10,2),
    AVISO CHAR(1) DEFAULT 0,
    FOREIGN KEY (ID_TIPO_DESPESA) REFERENCES TIPODESPESA(ID_TIPO_DESPESA),
    FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID_USUARIO)
);

CREATE TABLE TIPORECEITA(
	ID_TIPO_RECEITA INT AUTO_INCREMENT PRIMARY KEY,
    DS_NOME VARCHAR(255),
    ID_USUARIO INT,
    FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID_USUARIO)
);

CREATE TABLE RECEITA(
	ID_RECEITA INT AUTO_INCREMENT PRIMARY KEY,
    DS_NOME VARCHAR(255),
    OBSERVACAO VARCHAR(255),
    ID_TIPO_RECEITA INT,
    ID_USUARIO INT,
    DATA_RECEBIMENTO DATE,
    VALOR DECIMAL(10,2),
    FOREIGN KEY (ID_TIPO_RECEITA) REFERENCES TIPORECEITA(ID_TIPO_RECEITA),
    FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID_USUARIO)
);

CREATE TABLE LEMBRETE(
	ID_LEMBRETE INT AUTO_INCREMENT PRIMARY KEY,
    DS_NOME VARCHAR(255),
    DESCRICAO TEXT(255),
    EMAIL VARCHAR(255),
    DATA DATE,
    AVISO CHAR(1) DEFAULT 0,
    ID_USUARIO INT,
    FOREIGN KEY (ID_USUARIO) REFERENCES USUARIO(ID_USUARIO)
);